#include <bits/stdc++.h>
using namespace std;
using ll=long long;
int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n,k,x;
    cin>>n>>k>>x;
    vector<ll> p(n);
    for(int i=0; i<n; i++) cin>>p[i];
    for(int i=0; i<=n-k; i++){
        ll osn_s=0;
        vector<ll> suf;
        for(int j=0; j<k; j++){
            osn_s+=p[i+j];
            ll tren_suf=0;
            for(int m=j+1; m<k; m++){
                tren_suf+=p[i+m];
            }
            suf.push_back(tren_suf);
        }
        sort(suf.rbegin(), suf.rend());
        ll ultra_max_sigma_aura=osn_s;
        for(int j=0; j<x-1; j++){
            ultra_max_sigma_aura+=suf[j];
        }
        cout<<ultra_max_sigma_aura<<" ";
        cout<<'\n';
    }
}